Page MenuHomeFreeBSD

net-mgmt/crmsh: Update from 2.2.0 to 3.0.0
ClosedPublic

Authored by joneum on Jun 9 2017, 5:30 AM.
Tags
None
Referenced Files
F56035201: D11110.diff
Wed, Feb 8, 12:17 AM
Unknown Object (File)
Dec 29 2022, 1:18 AM
Unknown Object (File)
Dec 11 2022, 6:00 AM
Subscribers

Details

Summary

PR: 219545
Submitted by: David Shane Holden (maintainer)
Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

~/dev/ports/net-mgmt/crmsh % portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere testport:

Build with:

  • Build dependencies
  • Runtime dependencies

10amd64
10i386
11amd64
11i386
12.0-CURRENT r318899 amd64
12.0-CURRENT r318400 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 9752
Build 10191: arc lint + arc unit

Event Timeline

This revision is now accepted and ready to land.Jun 13 2017, 7:02 AM
This revision was automatically updated to reflect the committed changes.
head/net-mgmt/crmsh/files/patch-setup.py
7–8 ↗(On Diff #29540)

Unless there are occurrences of /usr/share/crmsh in that file that you do not want to be changed, I don't think there is a need to first patch the file to replace /usr/share/crmsh with %%DATADIR%% and then use sed to replace %%DATADIR%% with ${DATADIR}.

Simply use sed to replace /usr/share/crmsh with ${DATADIR} in the Makefile.